import { ModelConditionUtil, FieldUtil, TableUtilImpl, BasicFieldUtil, DataState } from 'model-util';
import { BmVersion } from './BmVersion';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-13 11:02
 */
interface BmModelProject {
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 包名
    * @type { string }
    */
    packageName?: string;
    /**
    * 微服务项目ID
    * @type { string }
    */
    pid?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 子表 BmVersion
    * @type { BmVersion[] }
    */
    bmVersion: BmVersion[];
    /**
    * extend field in SysUserDemo
    * 姓名
    * @type { string }
    */
    createUserName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state: DataState;
}
interface BmModelProjectMCU extends ModelConditionUtil<BmModelProjectMCU> {
    APP_ID: FieldUtil<BmModelProjectMCU>;
    CODE: FieldUtil<BmModelProjectMCU>;
    CREATE_TIME: FieldUtil<BmModelProjectMCU>;
    CREATE_USER_ID: FieldUtil<BmModelProjectMCU>;
    DESCRIPTION: FieldUtil<BmModelProjectMCU>;
    ID: FieldUtil<BmModelProjectMCU>;
    PACKAGE_NAME: FieldUtil<BmModelProjectMCU>;
    PID: FieldUtil<BmModelProjectMCU>;
    SERVICE_CENTER_ID: FieldUtil<BmModelProjectMCU>;
    UPDATE_TIME: FieldUtil<BmModelProjectMCU>;
    UPDATE_USER_ID: FieldUtil<BmModelProjectMCU>;
}
declare class BmModelProjectMU extends TableUtilImpl<BmModelProjectMCU, BmModelProject> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createModelConditionUtil(): BmModelProjectMCU;
    static get APP_ID(): FieldUtil<BmModelProjectMCU>;
    static get CODE(): FieldUtil<BmModelProjectMCU>;
    static get CREATE_TIME(): FieldUtil<BmModelProjectMCU>;
    static get CREATE_USER_ID(): FieldUtil<BmModelProjectMCU>;
    static get DESCRIPTION(): FieldUtil<BmModelProjectMCU>;
    static get ID(): FieldUtil<BmModelProjectMCU>;
    static get PACKAGE_NAME(): FieldUtil<BmModelProjectMCU>;
    static get PID(): FieldUtil<BmModelProjectMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BmModelProjectMCU>;
    static get UPDATE_TIME(): FieldUtil<BmModelProjectMCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmModelProjectMCU>;
    static get CREATE_USER_NAME(): BasicFieldUtil;
    get APP_ID(): FieldUtil<BmModelProjectMCU>;
    get CODE(): FieldUtil<BmModelProjectMCU>;
    get CREATE_TIME(): FieldUtil<BmModelProjectMCU>;
    get CREATE_USER_ID(): FieldUtil<BmModelProjectMCU>;
    get DESCRIPTION(): FieldUtil<BmModelProjectMCU>;
    get ID(): FieldUtil<BmModelProjectMCU>;
    get PACKAGE_NAME(): FieldUtil<BmModelProjectMCU>;
    get PID(): FieldUtil<BmModelProjectMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BmModelProjectMCU>;
    get UPDATE_TIME(): FieldUtil<BmModelProjectMCU>;
    get UPDATE_USER_ID(): FieldUtil<BmModelProjectMCU>;
    get CREATE_USER_NAME(): BasicFieldUtil;
}
export { BmModelProject, BmModelProjectMU };
